#!/usr/bin/env python
"""
  verify that the cbmdisk library is installed and emit supported file types
"""

# local import for CBMDisk
try:
    import cbmdisk
except ImportError:
    print 'CBMdisk could not be imported.'
    exit(1)

print 'using CBMdisk/python v' + cbmdisk.__version__ + ' w/ CBMdisk v' + cbmdisk.library_version
print ' This version supports:'.format(cbmdisk.__version__)
for i, ext in enumerate(cbmdisk.extensions):
    print ' ', ext,
    if (i+1) % 8 == 0:
        print

exit(0)
